node< Kind > Class Template Reference

`#include <queue.h>`

Collaboration diagram for node< Kind >:
[legend]

## Public Member Functions

| node (int d)

## Public Attributes

int | data
int | height
struct node * | left
struct node * | right
int | val
node * | left
node * | right
struct node * | next
node * | next
node * | prev
Kind | data
node< Kind > * | next
Type | data
| data at current node
node< Type > * | next
| pointer to the next node instance
node * | link

## Detailed Description

### template<class Kind>
class node< Kind >

Definition of the node

Definition of the node as a linked-list

Template Parameters

  Type | type of data nodes of the linked list should contain

The documentation for this class was generated from the following files:

- data_structures/avltree.cpp
- data_structures/binary_search_tree.cpp
- data_structures/circular_queue_using_linked_list.cpp
- data_structures/cll/cll.h
- data_structures/doubly_linked_list.cpp
- data_structures/queue.h
- data_structures/queue_using_linked_list.cpp
- data_structures/stack.h
- data_structures/stack_using_linked_list.cpp
- data_structures/tree.cpp
- operations_on_datastructures/circular_linked_list.cpp
- operations_on_datastructures/reverse_a_linked_list_using_recusion.cpp
- operations_on_datastructures/selectionsortlinkedlist.cpp